Subject: Re: [PATCH 0/2] pre-commit hook updates

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Nov 2014 10:35:22 -0800

Jeff King <[email-masked]> writes:

> On Tue, Nov 25, 2014 at 11:51:27PM +0100, Øystein Walle wrote:
>
>> I agree with Junio Hamano that it's better to provide no argument at all
>> rather than an empty one. I also agree with Jeff King that "noamend" is
>> better than an empty argument. I went with the second one since Jeff
>> seemed to get the last word :)
>
> I am not sure the last word counts for much. :) We'll see if Junio
> responds (there, or to your patch). I do not feel _too_ strongly either
> way, and I don't have much else to say besides what was said.

I _think_ "give only info that is necessary" is cleaner as an
interface in theory, but have two niggles myself:

 1. the hooks must do the "argument parsing" loop (you already
    mentioned this);

 2. the hooks cannot tell if the lack of "amending" argument is
    because the version of Git predates that "amending" hint
    support, or because the user action is a straight "commit" not
    an "commit --amend".

In any case, I do not have strong preference myself.